Subject: Re: [kitten] WGLC on draft-ietf-kitten-pkinit-freshness-06

From: Michiko Short <[email-masked]>
Date: Mon, 23 May 2016 21:50:06 +0000

Publishing version 7 of the draft which includes the IANA number assigned

1) In section 2, step 1 should say "Section 2.9.3 of [RFC4120]" as in the other references; currently it is missing "of".
Searched and fixed Section references with missing "of"

2) Section 2.3 should make a forward reference to section 4.
Added

3) In section 8 paragraph 1, "KDC provided" should be "KDC-provided".
Fixed

4) In section 8 paragraph 2, there should be a comma between "KDCs" and "depending."  I would also remove the quotes around "freshness".
Fixed

5) In section 8 paragraph 3, the construction "allowing both X as well as Y" is not grammatical.  It should either be "allowing both X and Y" or "allowing X as well as Y".  Also, there should be a "the" before "existing risks".
Fixed

6) Numeric Google search results suggest "implementor" over "implementer," but I don't know what the RFC editor's preference is.
Looks like "er" is American English and "or" is British. Since the doc is written in American English I left as is. If the editor prefers British then they can fix all the American spellings. Honestly, being American and having studied English in American schools, I don't what they all would be and I prefer to be consistent. 

-----Original Message-----
From: Greg Hudson [mailto:[email-masked]] 
Sent: Wednesday, April 20, 2016 8:59 AM
To: Benjamin Kaduk <[email-masked]>
Cc: [email-masked]
Subject: Re: [kitten] WGLC on draft-ietf-kitten-pkinit-freshness-06

On 04/14/2016 11:12 PM, Benjamin Kaduk wrote:
> This message begins the second Working Group Last Call (WGLC) of 
> "Public Key Cryptography for Initial Authentication in Kerberos 
> (PKINIT) Freshness Extension".

I re-read this draft and found only minor editorial issues:

* In section 2, step 1 should say "Section 2.9.3 of [RFC4120]" as in the other references; currently it is missing "of".

* Section 2.3 should make a forward reference to section 4.

* In section 8 paragraph 1, "KDC provided" should be "KDC-provided".

* In section 8 paragraph 2, there should be a comma between "KDCs" and "depending."  I would also remove the quotes around "freshness".

* In section 8 paragraph 3, the construction "allowing both X as well as Y" is not grammatical.  It should either be "allowing both X and Y" or "allowing X as well as Y".  Also, there should be a "the" before "existing risks".

* Numeric Google search results suggest "implementor" over "implementer," but I don't know what the RFC editor's preference is.
"implementer" is used twice in the draft.